Get Agreement
get
/agreements/{id}
Gets agreement details, including available associated products and account details.
Request
Path Parameters
-
id(required): string
Agreement ID.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/xml
- application/json
200 Response
The agreement was returned successfully.
Root Schema : schema
Type:
Show Source
object-
accounts: array
accounts
-
agreementId: string
-
characteristics: object
AgreementCharacteristic
One characteristic object containing zero or more attributes.
-
closedDate: integer
(int64)
-
completedDate: integer
(int64)
-
createdDate: integer
(int64)
-
description: string
-
documentNumber: string
-
documentURL: string
-
effectiveDate: integer
(int64)
-
endDate: integer
(int64)
-
extension: object
extension
The extended attributes.
-
id: object
ResourceRef
-
initializeDate: integer
(int64)
-
lastModifiedDate: integer
(int64)
-
lifecycleStatus: integer
(int32)
-
name: string
-
offers: array
offers
-
plannedEndDate: integer
(int64)
-
profiles: array
profiles
-
startDate: integer
(int64)
-
status: integer
(int32)
-
version: string
Nested Schema : AgreementCharacteristic
Type:
objectOne characteristic object containing zero or more attributes.
Show Source
Nested Schema : extension
Type:
objectThe extended attributes.
Nested Schema : ResourceRef
Type:
Show Source
object-
id(required): string
The ID.
-
uri: string
The Uniform Resource Identifier (URI) associated with the resource.
Nested Schema : AgreementAssociation
Type:
Show Source
object-
accountNo: string
-
action: string
Allowed Values:
[ "ADD", "REMOVE", "REPLACE" ] -
agreementAssociationRef: object
ResourceRef
-
endDate: integer
(int64)
-
firstName: string
-
id(required): object
ResourceRef
-
lastName: string
-
lineage: string
-
middleName: string
-
startDate: integer
(int64)
Nested Schema : AgreementCharacteristicAttribute
Type:
Show Source
object-
action: string
Allowed Values:
[ "ADD", "REMOVE", "REPLACE" ] -
name(required): string
-
recId: integer
(int32)
-
type: string
-
value: string
Nested Schema : AgreementOffer
Type:
Show Source
object-
action: string
Allowed Values:
[ "ADD", "REMOVE", "REPLACE" ] -
attributes: array
attributes
-
description: string
-
endDate: integer
(int64)
-
id(required): object
ResourceRef
-
name: string
-
offerOverrideRef: object
ResourceRef
-
permitted: string
-
startDate: integer
(int64)
-
usageMap: array
usageMap
Usage-map overrides owned by this individual agreement offer.
Nested Schema : usageMap
Type:
arrayUsage-map overrides owned by this individual agreement offer.
Show Source
-
Array of:
object AgreementUsageMap
Usage-map overrides owned by this individual agreement offer.
Nested Schema : AgreementProductCharacteristic
Type:
Show Source
object-
action: string
Allowed Values:
[ "ADD", "REMOVE", "REPLACE" ] -
id: object
ResourceRef
-
name(required): string
-
recId: integer
(int32)
-
type: string
-
value: string
Nested Schema : AgreementUsageMap
Type:
objectUsage-map overrides owned by this individual agreement offer.
Show Source
-
action: string
Allowed Values:
[ "ADD", "REMOVE", "REPLACE" ] -
attribute: array
attribute
-
dateRange: array
dateRange
-
discountModels: array
discountModels
-
endDate: integer
(int64)
-
event(required): string
-
id: object
ResourceRef
-
priceTagInfoObj: object
ResourceRef
-
ratePlans: array
ratePlans
Nested Schema : AgreementDateRange
Type:
Show Source
object-
action: string
Allowed Values:
[ "ADD", "REMOVE", "REPLACE" ] -
end: integer
(int64)
End of the override range. For an existing range in a PATCH request this, together with start, identifies the range; change dates by removing the range and adding a new one.
-
name: string
-
priceTags: array
priceTags
-
start: integer
(int64)
Start of the override range. For an existing range in a PATCH request, this, together with end, identifies the range; change dates by removing the range and adding a new one.
Nested Schema : AgreementPriceTag
Type:
Show Source
object-
action: string
Allowed Values:
[ "ADD", "REMOVE", "REPLACE" ] -
amount: number
-
description: string
-
name: string
-
percent: number
-
resourceId: integer
(int32)
-
tagScope: string
Nested Schema : AgreementProductProfile
Type:
Show Source
object-
action: string
Allowed Values:
[ "ADD", "REMOVE", "REPLACE" ] -
dataArray: array
dataArray
-
extrating: object
Extrating
Information about an extended rating attribute.
-
id(required): object
ResourceRef
-
name: string
-
serviceRef: object
ResourceRef
Nested Schema : Extrating
Type:
objectInformation about an extended rating attribute.
Show Source
-
label: string
The ERA's label name.
-
referenceCount: integer
(int32)
A number that keeps the reference count. For purchases, the counter is incremented by one. For cancellations, the counter is decreased by one.
-
status: integer
(int32)
The provisioning status. Can be one of the following:
- 0: No operation
- 1: Provisioning ERA
- 2: Provisioning ERA failed
- 3: ERA active
- 4: Unprovisioning ERA
- 5: Unprovisioning ERA failed
- 6: ERA unprovisioned
- 7: Suspending ERA
- 8: ERA suspension failed
- 9: ERA suspended
Nested Schema : AgreementProfileAttribute
Type:
Show Source
object-
action: string
Allowed Values:
[ "ADD", "REMOVE", "REPLACE" ] -
id: object
ResourceRef
-
name(required): string
-
recId: integer
(int32)
-
validFrom: integer
(int64)
-
validTo: integer
(int64)
-
value: string
500 Response
An internal server error occurred.